Changeset 6001

Show
Ignore:
Timestamp:
12/04/11 17:54:05 (3 years ago)
Author:
khali
Message:

fancontrol: Output error messages to stderr

Location:
lm-sensors/trunk
Files:
2 modified

Legend:

Unmodified
Added
Removed
  • lm-sensors/trunk/CHANGES

    r6000 r6001  
    44SVN HEAD 
    55  fancontrol: Support setup where one PWM output controls several fans 
     6              Output error messages to stderr 
    67  sensors-detect: Stop calling for PIIX5 SMBus testers 
    78                  Improve filtering of fake DMI data 
  • lm-sensors/trunk/prog/pwm/fancontrol

    r6000 r6001  
    5050        if [ ! -r "$1" ] 
    5151        then 
    52                 echo "Error: Can't read configuration file" 
     52                echo "Error: Can't read configuration file" >&2 
    5353                exit 1 
    5454        fi 
     
    7171        if [[ -z ${INTERVAL} || -z ${FCTEMPS} || -z ${MINTEMP} || -z ${MAXTEMP} || -z ${MINSTART} || -z ${MINSTOP} ]] 
    7272        then 
    73                 echo "Some mandatory settings missing, please check your config file!" 
     73                echo "Some mandatory settings missing, please check your config file!" >&2 
    7474                exit 1 
    7575        fi 
    7676        if [ "$INTERVAL" -le 0 ] 
    7777        then 
    78                 echo "Error in configuration file:" 
    79                 echo "INTERVAL must be at least 1" 
     78                echo "Error in configuration file:" >&2 
     79                echo "INTERVAL must be at least 1" >&2 
    8080                exit 1 
    8181        fi 
     
    9191                if ! echo $fcv | egrep -q '=' 
    9292                then 
    93                         echo "Error in configuration file:" 
    94                         echo "FCTEMPS value is improperly formatted" 
     93                        echo "Error in configuration file:" >&2 
     94                        echo "FCTEMPS value is improperly formatted" >&2 
    9595                        exit 1 
    9696                fi 
     
    111111                if [ "${AFCMINTEMP[$fcvcount]}" -ge "${AFCMAXTEMP[$fcvcount]}" ] 
    112112                then 
    113                         echo "Error in configuration file (${AFCPWM[$fcvcount]}):" 
    114                         echo "MINTEMP must be less than MAXTEMP" 
     113                        echo "Error in configuration file (${AFCPWM[$fcvcount]}):" >&2 
     114                        echo "MINTEMP must be less than MAXTEMP" >&2 
    115115                        exit 1 
    116116                fi 
    117117                if [ "${AFCMAXPWM[$fcvcount]}" -gt 255 ] 
    118118                then 
    119                         echo "Error in configuration file (${AFCPWM[$fcvcount]}):" 
    120                         echo "MAXPWM must be at most 255" 
     119                        echo "Error in configuration file (${AFCPWM[$fcvcount]}):" >&2 
     120                        echo "MAXPWM must be at most 255" >&2 
    121121                        exit 1 
    122122                fi 
    123123                if [ "${AFCMINSTOP[$fcvcount]}" -ge "${AFCMAXPWM[$fcvcount]}" ] 
    124124                then 
    125                         echo "Error in configuration file (${AFCPWM[$fcvcount]}):" 
    126                         echo "MINSTOP must be less than MAXPWM" 
     125                        echo "Error in configuration file (${AFCPWM[$fcvcount]}):" >&2 
     126                        echo "MINSTOP must be less than MAXPWM" >&2 
    127127                        exit 1 
    128128                fi 
    129129                if [ "${AFCMINSTOP[$fcvcount]}" -lt "${AFCMINPWM[$fcvcount]}" ] 
    130130                then 
    131                         echo "Error in configuration file (${AFCPWM[$fcvcount]}):" 
    132                         echo "MINSTOP must be greater than or equal to MINPWM" 
     131                        echo "Error in configuration file (${AFCPWM[$fcvcount]}):" >&2 
     132                        echo "MINSTOP must be greater than or equal to MINPWM" >&2 
    133133                        exit 1 
    134134                fi 
    135135                if [ "${AFCMINPWM[$fcvcount]}" -lt 0 ] 
    136136                then 
    137                         echo "Error in configuration file (${AFCPWM[$fcvcount]}):" 
    138                         echo "MINPWM must be at least 0" 
     137                        echo "Error in configuration file (${AFCPWM[$fcvcount]}):" >&2 
     138                        echo "MINPWM must be at least 0" >&2 
    139139                        exit 1 
    140140                fi 
     
    186186                if [ "`DevicePath "$device"`" != "$path" ] 
    187187                then 
    188                         echo "Device path of $device has changed" 
     188                        echo "Device path of $device has changed" >&2 
    189189                        outdated=1 
    190190                fi 
     
    198198                if [ "`DeviceName "$device"`" != "$name" ] 
    199199                then 
    200                         echo "Device name of $device has changed" 
     200                        echo "Device name of $device has changed" >&2 
    201201                        outdated=1 
    202202                fi 
     
    216216                if [ ! -w $pwmo ] 
    217217                then 
    218                         echo "Error: file $pwmo doesn't exist" 
     218                        echo "Error: file $pwmo doesn't exist" >&2 
    219219                        outdated=1 
    220220                fi 
     
    228228                if [ ! -r $tsen ] 
    229229                then 
    230                         echo "Error: file $tsen doesn't exist" 
     230                        echo "Error: file $tsen doesn't exist" >&2 
    231231                        outdated=1 
    232232                fi 
     
    242242                        if [ ! -r $fan ] 
    243243                        then 
    244                                 echo "Error: file $fan doesn't exist" 
     244                                echo "Error: file $fan doesn't exist" >&2 
    245245                                outdated=1 
    246246                        fi 
     
    251251        if [ $outdated -eq 1 ] 
    252252        then 
    253                 echo 
    254                 echo "At least one referenced file is missing. Either some required kernel" 
    255                 echo "modules haven't been loaded, or your configuration file is outdated." 
    256                 echo "In the latter case, you should run pwmconfig again." 
     253                echo >&2 
     254                echo "At least one referenced file is missing. Either some required kernel" >&2 
     255                echo "modules haven't been loaded, or your configuration file is outdated." >&2 
     256                echo "In the latter case, you should run pwmconfig again." >&2 
    257257        fi 
    258258 
     
    278278        DIR=/sys/bus/i2c/devices 
    279279else 
    280         echo "$0: Invalid path to sensors" 
     280        echo "$0: Invalid path to sensors" >&2 
    281281        exit 1 
    282282fi 
     
    284284if [ ! -d $DIR ] 
    285285then 
    286         echo $0: 'No sensors found! (did you load the necessary modules?)' 
     286        echo $0: 'No sensors found! (did you load the necessary modules?)' >&2 
    287287        exit 1 
    288288fi 
     
    292292if [ -z "$DEVPATH" -o -z "$DEVNAME" ] 
    293293then 
    294         echo "Configuration is too old, please run pwmconfig again" 
     294        echo "Configuration is too old, please run pwmconfig again" >&2 
    295295        exit 1 
    296296fi 
    297297if ! ValidateDevices "$DEVPATH" "$DEVNAME" 
    298298then 
    299         echo "Configuration appears to be outdated, please run pwmconfig again" 
     299        echo "Configuration appears to be outdated, please run pwmconfig again" >&2 
    300300        exit 1 
    301301fi 
     
    304304if [ -f "$PIDFILE" ] 
    305305then 
    306         echo "File $PIDFILE exists, is fancontrol already running?" 
     306        echo "File $PIDFILE exists, is fancontrol already running?" >&2 
    307307        exit 1 
    308308fi 
     
    417417                                if [ $? -ne 0 ] 
    418418                                then 
    419                                         echo "Error reading Fan value from $DIR/$one_fan" 
     419                                        echo "Error reading Fan value from $DIR/$one_fan" >&2 
    420420                                        restorefans 1 
    421421                                fi 
     
    474474                if [ $? -ne 0 ] 
    475475                then 
    476                         echo "Error writing PWM value to $DIR/$pwmo" 
     476                        echo "Error writing PWM value to $DIR/$pwmo" >&2 
    477477                        restorefans 1 
    478478                fi 
     
    493493        if [ $? -ne 0 ] 
    494494        then 
    495                 echo "Error enabling PWM on $DIR/$pwmo" 
     495                echo "Error enabling PWM on $DIR/$pwmo" >&2 
    496496                restorefans 1 
    497497        fi